<?php

use Imoje\Payment\Util;

/**
 * Class WC_Gateway_ImojeCards
 */
class WC_Gateway_ImojeCards extends WC_Gateway_Imoje_Api_Abstract {

	/**
	 *
	 */
	const PAYMENT_METHOD_NAME = 'imoje_cards';

	/**
	 * Constructor
	 */
	public function __construct() {
		parent::__construct( self::PAYMENT_METHOD_NAME );
	}

	/**
	 * @inheritDoc
	 */
	public function init_form_fields() {

		parent::init_form_fields_paywall();
	}

	/**
	 * @param WC_Order $order
	 *
	 * @return string
	 */
	public function prepare_data( $order, $payment_method = '', $payment_method_channel = '' ) {

		return $this->imoje_api->prepareDataPaymentLink(
			$order->get_total(),
			$order->get_currency(),
			$order->get_id(),
			$this->get_return_url( $order ),
			$this->get_return_url( $order ),
			$this->get_return_url( $order ),

			$order->get_billing_first_name(),
			$order->get_billing_last_name(),
			$order->get_billing_email(),
			$order->get_billing_phone()
				?: '',
			[Util::getPaymentMethod( 'card' )],
			[],
			Helper::get_invoice(
				$order,
				$this->get_option( 'ing_ksiegowosc' ),
				true,
				$this->get_option( 'ing_ksiegowosc_meta_tax' )
			)
		);
	}

	/**
	 * @inheritDoc
	 */
	protected function verify_availability( $cart_total, $payment_method = '' ) {

		return true;
	}
}
