<?php

/** @var array $payment_method_list_active */
/** @var array $payment_method_list_no_active */

$payment_method_list = array_merge( $payment_method_list_active, $payment_method_list_no_active );

?>

<div class="imoje-payment-method-container">

	<div class="imoje-pbl-error woocommerce-error" role="alert">
		<?php esc_html_e( 'Choose payment channel if is available. In other way choose another payment method', 'imoje' ) ?>
	</div>

	<ul class="imoje-channels">
		<?php

		$wc_currency = get_woocommerce_currency();

		foreach ( $payment_method_list as $payment_method ) { ?>

			<li class="imoje-channel imoje-channel-<?php echo esc_attr( $payment_method['payment_method_code'] ) ?> imoje-c-<?php echo $payment_method['is_available']
				? 'active'
				: 'no-active' ?>"
			    title="<?php

			    $payment_method_title = esc_attr( $payment_method['description'] );

			    if ( ! $payment_method['is_available'] ) {

				    $payment_method_title = __( 'Payment channel is not available.', 'imoje' ) . ' ';

				    if (
					    $payment_method['limit']
					    && (
						    $payment_method['min_transaction']
						    || $payment_method['max_transaction'] )
				    ) {

					    $need_extra = $payment_method['limit'] === 1;

					    $payment_method_title = sprintf( __( 'The payment method is available for transactions %s %.2f %s', 'imoje' ),
						    ( $need_extra
							    ? __( 'above', 'imoje' )
							    : __( 'below', 'imoje' ) ),
						    ( $need_extra
							    ? esc_attr( $payment_method['min_transaction'] )
							    : esc_attr( $payment_method['max_transaction'] )
						    ),
						    $wc_currency
					    );
				    }
			    }

			    echo esc_attr( $payment_method_title );
			    ?>">
				<label class="imoje-c-<?php echo $payment_method['is_available']
					? 'active'
					: 'no-active' ?>">
					<input type="radio"
					       value="<?php echo esc_attr( $payment_method['payment_method'] . '-' . $payment_method['payment_method_code'] ) ?>"
					       name="imoje-selected-channel"/>
					<div>
						<img src="<?php echo esc_url( $payment_method['logo'] ); ?>" alt="logo">
					</div>
				</label>
			</li>
		<?php } ?>
	</ul>
</div>